import CJS_COMPAT_NODE_URL_owuguwme69 from 'node:url';
import CJS_COMPAT_NODE_PATH_owuguwme69 from 'node:path';
import CJS_COMPAT_NODE_MODULE_owuguwme69 from "node:module";

var __filename = CJS_COMPAT_NODE_URL_owuguwme69.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_owuguwme69.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_owuguwme69.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  __name
} from "./chunk-3YJXPC6V.js";

// ../node_modules/tiny-invariant/dist/esm/tiny-invariant.js
var isProduction = process.env.NODE_ENV === "production";
var prefix = "Invariant failed";
function invariant(condition, message) {
  if (condition) {
    return;
  }
  if (isProduction) {
    throw new Error(prefix);
  }
  var provided = typeof message === "function" ? message() : message;
  var value = provided ? "".concat(prefix, ": ").concat(provided) : prefix;
  throw new Error(value);
}
__name(invariant, "invariant");

export {
  invariant
};
